Productsup
CDE APIApi referencePlatform

Assign platform channel to connector

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}/channels

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/channels" \  -H "Content-Type: application/json" \  -d '{    "channels": [      1,      2    ]  }'
{
  "message": "Successfully assigned channel."
}
{
  "message": "Bad request.",
  "errors": {
    "channels": "You can not assign delta channels to export Connector: 98,99"
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector not found."
}

How is this guide?